Name:			mactelnet
Version:		0.5.0
Release:		1%{?dist}
Summary:		Console tools for connecting to devices using MikroTik RouterOS MAC-Telnet protocol

Group:			Applications/Internet
License:		GPLv2
URL:			https://github.com/haakonnessjoen/MAC-Telnet

Source0:		https://github.com/haakonnessjoen/MAC-Telnet/archive/v%{version}.tar.gz
Patch1:			mactelnetd_chown.patch

BuildRequires:		autoconf
BuildRequires:		automake
BuildRequires:		gcc
BuildRequires:		gettext
BuildRequires:		m4
BuildRequires:		libtool
BuildRequires:		gettext-devel
BuildRequires:		openssl-devel

%description
Open source MAC Telnet client and server for connecting to Microtik RouterOS routers 
and Posix machines via MAC address.

%prep
%setup -q -n MAC-Telnet-%{version}
%patch1 -p1 -b.chown

%build
./autogen.sh
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=%{buildroot}
%find_lang %{name} --with-man

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc LICENSE README.markdown
%config(noreplace) %{_sysconfdir}/mactelnetd.users
%{_bindir}/macping
%{_bindir}/mactelnet
%{_bindir}/mndp
%{_sbindir}/mactelnetd
%{_mandir}/man1/*

%changelog
* Mon Apr 15 2024 josef radinger <cheese@nosuchhost.net> - 0.5.0-1
- bump version
- cleanup specfile
- require openssl-devel

* Thu Oct 12 2017 josef radinger <cheese@nosuchhost.net> - 0.4.4-1
- initial version